import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { L as ListBookmarksResponse } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal-DNfhZ_b6.mjs';
export { A as AddScheduleItemRequest, m as AddScheduleItemResponse, v as CreateBookmarkRequest, w as CreateBookmarkResponse, C as Cursors, x as DeleteBookmarkRequest, y as DeleteBookmarkResponse, D as DeleteScheduleItemRequest, o as DeleteScheduleItemResponse, p as DiscardDraftRequest, q as DiscardDraftResponse, F as FacetCounts, G as GetScheduleItemRequest, k as GetScheduleItemResponse, u as ListBookmarksRequest, d as ListScheduleItemsRequest, e as ListScheduleItemsResponse, P as Paging, f as PagingMetadataV2, r as PublishDraftRequest, s as PublishDraftResponse, Q as QueryScheduleItemsRequest, j as QueryScheduleItemsResponse, g as QueryV2, h as QueryV2PagingMethodOneOf, R as RescheduleDraftRequest, t as RescheduleDraftResponse, c as ScheduleItem, l as ScheduleItemData, S as ScheduleStatus, b as SortOrder, i as Sorting, a as StateFilter, T as TimeInterval, U as UpdateScheduleItemRequest, n as UpdateScheduleItemResponse } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal-DNfhZ_b6.mjs';

declare function listBookmarks$1(httpClient: HttpClient): ListBookmarksSignature;
interface ListBookmarksSignature {
    /**
     * Retrieves a list of bookmarked schedule items for a current member.
     * @param - Event ID to which the schedule item belongs.
     */
    (eventId: string): Promise<ListBookmarksResponse>;
}
declare function createBookmark$1(httpClient: HttpClient): CreateBookmarkSignature;
interface CreateBookmarkSignature {
    /**
     * Bookmarks a schedule item for a current member.
     * @param - Schedule item ID.
     * @param - Event ID to which the schedule item belongs.
     */
    (itemId: string, eventId: string): Promise<void>;
}
declare function deleteBookmark$1(httpClient: HttpClient): DeleteBookmarkSignature;
interface DeleteBookmarkSignature {
    /**
     * Removes a schedule item bookmark for a current member.
     * @param - Schedule item ID.
     * @param - Event ID to which the schedule item belongs.
     */
    (itemId: string, eventId: string): Promise<void>;
}

declare const listBookmarks: MaybeContext<BuildRESTFunction<typeof listBookmarks$1> & typeof listBookmarks$1>;
declare const createBookmark: MaybeContext<BuildRESTFunction<typeof createBookmark$1> & typeof createBookmark$1>;
declare const deleteBookmark: MaybeContext<BuildRESTFunction<typeof deleteBookmark$1> & typeof deleteBookmark$1>;

export { ListBookmarksResponse, createBookmark, deleteBookmark, listBookmarks };
